## starpu-contrib 1.3.7+dfsg

=== debian/changelog ===
starpu-contrib (1.3.7+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu-dev depend on libstarpurm-1.3-1
    (Closes: Bug#985436).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Mar 2021 22:50:37 +0100

starpu-contrib (1.3.7+dfsg-2) unstable; urgency=medium

  * control: Fix libstarpurm providing libstarpu-anyrm.
  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jan 2021 13:37:36 +0100

starpu-contrib (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-4 to libstarpu-1.3-5.
    - patches/starpurm_link: Upstreamed.
    - patches/starpurm_showcheck: Upstreamed.
    - patches/mlr_blas: Upstreamed.
  * starpu-examples.install: Add mpi examples, precalibrated perfmodels,
    opencl codelets.
  * starpu-tools.install: Install perfmodel dtd. Install starpu_t* tools
    (starpu_top is no more). Install ayudame.cfg.
  * not-installed: Rule out *.la. Rule out README.dev.
  * docs: Install missing doc.
  * control: Drop removed gccDeps variable. Drop shlibs:Depends from
    libstarpu-dev, it shouldn't need it.
  * patches/socl_link: Fix linking libsocl against libOpenCL.
  * patches/mpi_link: Drop patch, dh removes spurious rpath, and we need the
    link flags to properly get the libmpi dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2020 13:14:54 +0200

starpu-contrib (1.3.5+dfsg-2) unstable; urgency=medium

  * patches/starpurm_showcheck: Fix showcheck rule inside starpurm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Sep 2020 17:17:38 +0200

starpu-contrib (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename
      - libstarpu-1.3-3 to libstarpu-1.3-4
      - libstarpufft-1.3-1 to libstarpufft-1.3-2
      - libstarpumpi-1.3-2 to libstarpumpi-1.3-3
      according to upstream soname bump.
    - control: Add libstarpurm library.
    - patches/install: Upstreamed.
    - rules: Pass --enable-mlr-system-blas to configure.
    - rules: Pass --enable-starpurm-examples to configure.
    - patches/mlr_blas: Fix using system blas.
    - patches/starpurm_link: Fix linking starpurm examples.
  * control: Drop doxygen-latex dependency, we don't build the PDFs any more.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * watch: Update.
  * rules: Drop --parallel and --with autoreconf, now the default.
  * control: Drop the autotools-dev and dh-autoreconf build-deps, now the
    default.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Aug 2020 16:29:30 +0200

=== debian/control ===
Source: starpu-contrib
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12),
	pkg-config,
	libnuma-dev [linux-any],
	libglpk-dev,
	mpi-default-dev,
	libgl1-mesa-dev | libgl-dev,
	libglu1-mesa-dev | libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
	libhdf5-dev,
	valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
#	guile-2.2,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	gfortran,
	help2man, doxygen,
	nvidia-cuda-toolkit-gcc (>= 10.1),
Standards-Version: 4.5.0
Section: contrib/libs
Homepage: http://starpu.gforge.inria.fr/
Vcs-Git: https://salsa.debian.org/debian/starpu.git
Vcs-Browser: https://salsa.debian.org/debian/starpu

Package: libstarpu-contrib-dev
Section: contrib/libdevel
Architecture: any
Depends: libstarpu-contrib-1.3-5 (= ${binary:Version}) | libstarpu-contrib-any-1.3-5, libstarpu-contribfft-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-2, libstarpu-contribmpi-1.3-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-3, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, libstarpu-contribrm-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.3-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
Conflicts: libstarpu-dev
Provides: libstarpu-any-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.
 This "contrib" version is built against CUDA.

Package: libstarpu-contrib-1.3-5
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-1.3-5
Provides: libstarpu-any-1.3-5
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library
 This "contrib" version is built against CUDA.

Package: libstarpu-contribfft-1.3-2
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpufft-1.3-2
Provides: libstarpu-anyfft-1.3-2
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.
 This "contrib" version is built against CUDA.

Package: libstarpu-contribmpi-1.3-3
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpumpi-1.3-3
Provides: libstarpu-anympi-1.3-3
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.
 This "contrib" version is built against CUDA.

Package: starpu-contrib-tools
Section: contrib/utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-tools
Provides: starpu-any-tools
Recommends: python3
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.
 This "contrib" version is built against CUDA.

Package: starpu-contrib-examples
Section: contrib/science
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-examples
Provides: starpu-any-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
 This "contrib" version is built against CUDA.

Package: libsocl-contrib-1.3-0
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-1.3-0
Provides: libsocl-any-1.3-0
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
 This "contrib" version is built against CUDA.

Package: libstarpu-contribrm-1.3-1
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpurm-1.3-1
Provides: libstarpu-anyrm-1.3-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the resource management library.
 This "contrib" version is built against CUDA.

## starpu-contrib 1.3.9%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: starpu-contrib
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 	pkg-config,
 	libnuma-dev [linux-any],
 	libglpk-dev,
@@ -21,16 +21,17 @@
 	gfortran,
 	help2man, doxygen,
 	nvidia-cuda-toolkit-gcc (>= 10.1),
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Section: contrib/libs
-Homepage: http://starpu.gforge.inria.fr/
+Homepage: https://starpu.gitlabpages.inria.fr/
 Vcs-Git: https://salsa.debian.org/debian/starpu.git
 Vcs-Browser: https://salsa.debian.org/debian/starpu
 
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.3-5 (= ${binary:Version}) | libstarpu-contrib-any-1.3-5, libstarpu-contribfft-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-2, libstarpu-contribmpi-1.3-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-3, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, libstarpu-contribrm-1.3-1 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.3-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.3-8 (= ${binary:Version}) | libstarpu-contrib-any-1.3-8, libstarpu-contribfft-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-2, libstarpu-contribmpi-1.3-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-3, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, libstarpu-contribrm-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -45,13 +46,12 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.3-5
-Section: contrib/libs
+Package: libstarpu-contrib-1.3-8
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.3-5
-Provides: libstarpu-any-1.3-5
+Conflicts: libstarpu-1.3-8
+Provides: libstarpu-any-1.3-8
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -65,7 +65,6 @@
  This "contrib" version is built against CUDA.
 
 Package: libstarpu-contribfft-1.3-2
-Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -84,7 +83,6 @@
  This "contrib" version is built against CUDA.
 
 Package: libstarpu-contribmpi-1.3-3
-Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -108,7 +106,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-any-tools
-Recommends: python3
+Recommends: python3:any
 Description: Task scheduler for heterogeneous multicore machines - tools
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -141,7 +139,6 @@
  This "contrib" version is built against CUDA.
 
 Package: libsocl-contrib-1.3-0
-Section: contrib/libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -159,13 +156,12 @@
  This package contains an OpenCL-compatible library interface to StarPU.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribrm-1.3-1
-Section: contrib/libs
+Package: libstarpu-contribrm-1.3-2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpurm-1.3-1
-Provides: libstarpu-anyrm-1.3-1
+Conflicts: libstarpurm-1.3-2
+Provides: libstarpu-anyrm-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient

=== debian/tests/control ===
Depends: starpu-examples
Tests: examples
Restrictions: allow-stderr

## starpu-contrib 1.3.9+dfsg

=== debian/changelog ===
starpu-contrib (1.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-7 to libstarpu-1.3-8 according to soname
    bump.
    - patches/no_src_build_dir: Upstreamed.
    - patches/no_src_dir: Upstreamed.
    - copyright: Update.
  * control, copyright: Fix upstream URL.
  * control: Make starpu-tools' recommends on python3 :any.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Oct 2021 23:46:27 +0200

starpu-contrib (1.3.8+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Remove unused license definitions for GPL-3, QWT.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on libstarpu-1.3-7, Section on libstarpufft-1.3-2, Section on
    libstarpumpi-1.3-3, Section on libsocl-1.3-0, Section on libstarpurm-1.3-2
    that duplicate source.

  [ Samuel Thibault ]
  * patches/no_src_build_dir: Really avoid any STARPU_SRC/BUILD_DIR
    definition.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Sep 2021 18:34:24 +0200

starpu-contrib (1.3.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * patches/no_src_dir: Avoid leaking the source directory in installed files.
  * patches/no_src_build_dir: Avoid leaking the source/build directory in
    debugging symbols of installed files.
  * rules: Make sure to undefine STARPU_DEVEL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Aug 2021 21:51:53 +0200

starpu-contrib (1.3.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename package libstarpu-1.3-5 to libstarpu-1.3-7 according to soname
    bump.
    - Rename package libstarpurm-1.3-1 to libstarpurm-1.3-2 according to soname
    bump.
    - patches/socl_link: Upstreamed.
    - patches/fortify: Upstreamed.
  * patches/fortify: Fix setting fortify build flag.
  * control: Set Rules-Requires-Root to no.
  * libstarpu-contrib-1.3-5.lintian-overrides: Fix override.
  * watch: Drop gforge URL.
  * gbp.conf: Use filter to clean upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Aug 2021 18:28:45 +0200

=== debian/rules ===
#!/usr/bin/make -f

# This may bring unexpected warnings/errors
undefine STARPU_DEVEL

DH_OPTIONS=-Bbuild

source=$(shell dpkg-parsechangelog -S Source)

# These are the best versions that nvcc supports.
CONTRIB_GCC_VERSION  := 8
CONTRIB_CLANG_VERSION  := 8

ifeq ($(source),starpu-contrib)
# nvcc sometimes chokes on some gcc features
CC=cuda-gcc
CXX=cuda-g++
endif
OMPI_CC=$(CC)
export CC
export CXX
export OMPI_CC

export NVCCFLAGS = -Xcompiler -fPIC -Xcompiler -std=c++03

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_NODOC = --disable-build-doc
endif

%:
	dh $@ $(DH_OPTIONS)

override_dh_auto_configure:
	dh_auto_configure $(DH_OPTIONS) -- \
		--enable-opengl-render \
		--enable-openmp \
		--enable-quick-check \
		--enable-mlr-system-blas \
		--enable-starpurm \
		--enable-starpurm-examples \
		--docdir=/usr/share/doc/libstarpu-dev --disable-build-doc-pdf \
		$(CONFIGURE_NODOC)

override_dh_auto_test:
	-HOME=$$PWD DISPLAY= DEB_BUILD_OPTIONS=$(patsubst parallel=%,,$(DEB_BUILD_OPTIONS)) dh_auto_test $(DH_OPTIONS) -- -k
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C build showcheck
endif

override_dh_auto_clean:
	# No idea why salsa CI is adding +x on libsocl-1.3-0.install and libstarpu-1.3-5.install (and no others...)
	ls -l debian/*.install
	chmod -x debian/*.install
	dh_auto_clean $(DH_OPTIONS)
	rm -fr doc/doxygen/starpu.pdf
	rm -fr doc/doxygen/html
	rm -fr .starpu
	rm -fr .nv

# Switch to main rules
main:
	sed -i 's/^starpu-contrib /starpu /' debian/changelog
	sed -i '1s/^Source: starpu-contrib/Source: starpu/' debian/control
	sed -i 's/Package: libstarpu-contrib/Package: libstarpu/' debian/control
	sed -i 's/Package: starpu-contrib/Package: starpu/' debian/control
	sed -i 's/Package: libsocl-contrib/Package: libsocl/' debian/control
	sed -i '/Depends/s/ libstarpu-contrib/ libstarpu/g' debian/control
	sed -i '/Depends/s/ libsocl-contrib/ libsocl/g' debian/control
	sed -i 's/Conflicts: libstarpu/Conflicts: libstarpu-contrib/' debian/control
	sed -i 's/Conflicts: libsocl/Conflicts: libsocl-contrib/' debian/control
	sed -i 's/Conflicts: starpu/Conflicts: starpu-contrib/' debian/control
	sed -i 's/^	nvidia-cuda-toolkit-gcc/#	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's/^ This "contrib" version/# This "contrib" version/' debian/control

# Switch to contrib rules
contrib:
	sed -i 's/^starpu /starpu-contrib /' debian/changelog
	sed -i '1s/^Source: starpu/Source: starpu-contrib/' debian/control
	sed -i 's/Package: libstarpu/Package: libstarpu-contrib/' debian/control
	sed -i 's/Package: starpu/Package: starpu-contrib/' debian/control
	sed -i 's/Package: libsocl/Package: libsocl-contrib/' debian/control
	sed -i '/Depends/s/ libstarpu/ libstarpu-contrib/g' debian/control
	sed -i '/Depends/s/ libsocl/ libsocl-contrib/g' debian/control
	sed -i 's/Conflicts: libstarpu-contrib/Conflicts: libstarpu/' debian/control
	sed -i 's/Conflicts: libsocl-contrib/Conflicts: libsocl/' debian/control
	sed -i 's/Conflicts: starpu-contrib/Conflicts: starpu/' debian/control
	sed -i 's/#	nvidia-cuda-toolkit-gcc/	nvidia-cuda-toolkit-gcc/' debian/control
	sed -i 's_contrib/contrib/_contrib_g' debian/control debian/control
	sed -i 's/contrib-contrib/contrib/g' debian/control debian/changelog
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control
	sed -i 's/^# This "contrib" version/ This "contrib" version/' debian/control

## starpu-contrib 1.3.10+dfsg

=== examples/fortran/Makefile ===
# StarPU --- Runtime system for heterogeneous multicore architectures.
#
# Copyright (C) 2009-2021  Université de Bordeaux, CNRS (LaBRI UMR 5800), Inria
#
# StarPU is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at
# your option) any later version.
#
# StarPU is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See the GNU Lesser General Public License in COPYING.LGPL for more details.
#
FC=gfortran
CFLAGS+= -g -Wall
FFLAGS+= -g -Wall

all: hello

hello.F: StarPU_fortran.h

hello: hello.F hello_c.o

clean:
	rm -f *.o *.mod hello

=== debian/changelog ===
starpu-contrib (1.3.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-8 to libstarpu-1.3-9 according to soname
    bump.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Use valgrind-if-available instead of hardcoding a list.
  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * control: Make Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Nov 2022 10:10:05 +0100

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
 	libhwloc-dev,
 	libleveldb-dev,
 	libhdf5-dev,
-	valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
+	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
 	help2man, doxygen,
 	nvidia-cuda-toolkit-gcc (>= 10.1),
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: contrib/libs
 Homepage: https://starpu.gitlabpages.inria.fr/
 Vcs-Git: https://salsa.debian.org/debian/starpu.git
@@ -31,7 +31,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.3-8 (= ${binary:Version}) | libstarpu-contrib-any-1.3-8, libstarpu-contribfft-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-2, libstarpu-contribmpi-1.3-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-3, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, libstarpu-contribrm-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.3-9 (= ${binary:Version}) | libstarpu-contrib-any-1.3-9, libstarpu-contribfft-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-2, libstarpu-contribmpi-1.3-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-3, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, libstarpu-contribrm-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +46,12 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.3-8
+Package: libstarpu-contrib-1.3-9
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.3-8
-Provides: libstarpu-any-1.3-8
+Conflicts: libstarpu-1.3-9
+Provides: libstarpu-any-1.3-9
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -103,6 +103,7 @@
 Package: starpu-contrib-tools
 Section: contrib/utils
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: starpu-tools
 Provides: starpu-any-tools

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,11 @@
 
 DH_OPTIONS=-Bbuild
 
-source=$(shell dpkg-parsechangelog -S Source)
-
 # These are the best versions that nvcc supports.
 CONTRIB_GCC_VERSION  := 8
 CONTRIB_CLANG_VERSION  := 8
 
-ifeq ($(source),starpu-contrib)
+ifeq ($(DEB_SOURCE),starpu-contrib)
 # nvcc sometimes chokes on some gcc features
 CC=cuda-gcc
 CXX=cuda-g++

## starpu-contrib 1.4.1+dfsg

=== debian/changelog ===
starpu-contrib (1.4.1+dfsg-4) unstable; urgency=medium

  * rules: Also hardcode the maximum number of cpus and NUMA nodes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Jul 2023 16:07:57 +0200

starpu-contrib (1.4.1+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu depend on libstarpu-openmp-llvm only on archs
    which have it built.
  * rules: Hardcode the maximum number of nodes.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jul 2023 12:34:11 +0200

starpu-contrib (1.4.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Jun 2023 14:00:04 +0200

starpu-contrib (1.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release. Closes: Bug#1036683.
    - Rename library packages according to soname bumps.
    - Closes: Bug#1036683.
    - patches/atomic: Upstreamed.
    - patches/atomic2: Upstreamed.
    - patches/atomic3: Upstreamed.
    - patches/hurd_max: Upstreamed.
    - patches/llvm-openmp: Upstreamed.
    - patches/openmp_llvm_variant: Upstreamed.
    - patches/socl-atomic: Upstreamed.
    - patches/starpurm-hwloc: Upstreamed.
    - patches/tasks_size_overhead_cpustep: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 May 2023 18:18:07 +0200

starpu-contrib (1.4.0+dfsg-4) experimental; urgency=medium

  * control: Don't build-dep on clang on archs which don't have libomp-dev.
  * libstarpu-openmp-llvm-1.4-1: Don't build package on archs which don't have
    libomp-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Apr 2023 11:09:10 +0200

starpu-contrib (1.4.0+dfsg-3) experimental; urgency=medium

  * patches/hurd_max: Fix build issue.
  * control: Restraint libpapi-dev build-dep on archs where it actually
    builds. Add pajeng build-dep.
  * rules: Do not call chrpath on archs where openmp-llvm is not available.
  * patches/socl-atomic: Make socl use starpu macros for atomic operations.
  * patches/atomic, atomic2, atomic3: Fix 64bit atomics on some 32bit archs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Apr 2023 18:42:10 +0200

starpu-contrib (1.4.0+dfsg-2) experimental; urgency=medium

  * rules: Fix multiarch path.
  * control: Build-dep on libpapi-dev on linux-any only.
  * control, rules: Enable openmp-llvm on archs that have libomp-dev only.
  * patches/openmp_llvm_variant: Fix LLVM-based openmp support.
  * tests/examples: Avoid running meant-to-deadlock test.
  * patches/tasks_size_overhead_cpustep: Fix autopkgtest hanging.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Apr 2023 17:53:33 +0200

starpu-contrib (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename packages according to soname bump.
    - New libstarpu-openmp-llvm-1.4-1 package for new library.
    - control: Complete migration from libgl1-mesa-dev to libgl-dev and from
    libglu1-mesa-dev to libglu-dev.
    - control: Add chrpath, libfxt-dev, libpapi-dev, python3-all-dev,
    libpython3-all-dev, python3-joblib, clang, libomp-dev build-deps.
    - rules: --enable-tcpip-master-slave, --enable-openmp-llvm.
    - docs: README was renamed to README.md
    - libstarpu-1.3-9.install: Install loadable libraries.
    - not-installed: Do not install the starpu module, starpu_config.cfg, and
    .a/.la libs.
    - patches/llvm-openmp: Fix llvm-openmp build.
    - patches/starpurm-hwloc: Add missing link against hwloc.
    - rules: drop rpath from llvm OMP examples.
    - gbp.conf: Update filter.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Mar 2023 11:33:08 +0200

starpu-contrib (1.3.10+dfsg-2) unstable; urgency=medium

  * Rebuild on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Nov 2022 00:05:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 13),
+	chrpath,
 	pkg-config,
 	libnuma-dev [linux-any],
 	libglpk-dev,
 	mpi-default-dev,
-	libgl1-mesa-dev | libgl-dev,
-	libglu1-mesa-dev | libglu-dev,
+	libgl-dev,
+	libglu-dev,
 	freeglut3-dev,
 	libx11-dev,
 	libblas-dev,
@@ -15,6 +16,12 @@
 	libhwloc-dev,
 	libleveldb-dev,
 	libhdf5-dev,
+	libfxt-dev, pajeng,
+	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32],
+	python3-dev,
+	libpython3-dev, python3-joblib,
+	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
+	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
@@ -31,7 +38,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.3-9 (= ${binary:Version}) | libstarpu-contrib-any-1.3-9, libstarpu-contribfft-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.3-2, libstarpu-contribmpi-1.3-3 (= ${binary:Version}) | libstarpu-contrib-anympi-1.3-3, libsocl-contrib-1.3-0 (= ${binary:Version}) | libsocl-contrib-any-1.3-0, libstarpu-contribrm-1.3-2 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.3-2, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.4-2 (= ${binary:Version}) | libstarpu-contrib-any-1.4-2, libstarpu-contrib-openmp-llvm-1.4-1 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-contrib-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpu-contribfft-1.4-1 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.4-1, libstarpu-contribmpi-1.4-2 (= ${binary:Version}) | libstarpu-contrib-anympi-1.4-2, libsocl-contrib-1.4-1 (= ${binary:Version}) | libsocl-contrib-any-1.4-1, libstarpu-contribrm-1.4-1 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -46,12 +53,12 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.3-9
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.3-9
-Provides: libstarpu-any-1.3-9
+Package: libstarpu-contrib-1.4-2
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-1.4-2
+Provides: libstarpu-any-1.4-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -64,12 +71,30 @@
  This package contains the main StarPU library
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribfft-1.3-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.3-2
-Provides: libstarpu-anyfft-1.3-2
+Package: libstarpu-contrib-openmp-llvm-1.4-1
+Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-openmp-llvm-1.4-1
+Provides: libstarpu-any-openmp-llvm-1.4-1
+Description: Task scheduler for heterogeneous multicore machines
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains the runtime support for LLVM OpenMP.
+ This "contrib" version is built against CUDA.
+
+Package: libstarpu-contribfft-1.4-1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpufft-1.4-1
+Provides: libstarpu-anyfft-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -82,12 +107,12 @@
  This package contains a hybrid CPU+GPU FFT library.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribmpi-1.3-3
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.3-3
-Provides: libstarpu-anympi-1.3-3
+Package: libstarpu-contribmpi-1.4-2
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpumpi-1.4-2
+Provides: libstarpu-anympi-1.4-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -139,12 +164,12 @@
  This package contains application examples.
  This "contrib" version is built against CUDA.
 
-Package: libsocl-contrib-1.3-0
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-1.3-0
-Provides: libsocl-any-1.3-0
+Package: libsocl-contrib-1.4-1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsocl-1.4-1
+Provides: libsocl-any-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -157,12 +182,12 @@
  This package contains an OpenCL-compatible library interface to StarPU.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribrm-1.3-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpurm-1.3-2
-Provides: libstarpu-anyrm-1.3-2
+Package: libstarpu-contribrm-1.4-1
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpurm-1.4-1
+Provides: libstarpu-anyrm-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient

## starpu-contrib 1.4.3+dfsg

=== debian/changelog ===
starpu-contrib (1.4.3+dfsg-5build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:54:10 +1100

starpu-contrib (1.4.3+dfsg-5) unstable; urgency=medium

  * control: Fix missing Conflicts against both non-t64 and t64 packages.
  * control: Fix missing Breaks+Replaces for contrib t64 packages.
    Closes: Bug#1065258.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Mar 2024 14:16:23 +0100

starpu-contrib (1.4.3+dfsg-4) unstable; urgency=medium

  * control: Upgrade conflicts between starpu and starpu-contrib to 64-bit
    time_t names.  Closes: #1065258

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Mar 2024 11:10:29 +0100

starpu-contrib (1.4.3+dfsg-3) unstable; urgency=medium

  * patches/avoid-version: Avoid including version numbers for loadable
    plugins. Avoids useless shlibs file.
  * Rename contrib libraries for 64-bit time_t transition.
  * rules: Avoid ignoring failures from 'chmod'.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2024 01:31:03 +0100

starpu-contrib (1.4.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063083
  * Ignore failures from 'chmod' in debian/rules clean; this fails because
    '*contrib*' .install files have become dangling symlinks, but these are
    not part of the source package anyway.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:31:25 +0000

starpu-contrib (1.4.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 20:36:00 +0100

starpu-contrib (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - control: Add python3-cloudpickle build-dep.
    - control: Add python3-setuptools build-dep.
    - control: Add python3-numpy build-dep.
    - patches/python-destdir: Fix missing $(DESTDIR).
    - not-installed: Not installing python files for now.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2024 14:24:40 +0100

starpu-contrib (1.4.2+dfsg-2) unstable; urgency=medium

  * Move libdummy_sched, libmy_dmda and libprofiling_tool into starpu-examples,
    to allow different libstarpu versions be co-installable.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 12:03:52 +0100

starpu-contrib (1.4.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-2 and libstarpumpi-1.4-2 according to soname bump.
    - patches/parallel_workers: Upstreamed.
    - patches/eztrace: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 24 Nov 2023 10:07:57 +0100

starpu-contrib (1.4.1+dfsg-8) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev only where needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Aug 2023 11:43:40 +0200

starpu-contrib (1.4.1+dfsg-7) unstable; urgency=medium

  * patches/eztrace: Let eztrace trace job start/end.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Aug 2023 11:56:08 +0200

starpu-contrib (1.4.1+dfsg-6) unstable; urgency=medium

  * control: Make libstarpu-dev dep on libpapi-dev.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2023 18:49:15 +0200

starpu-contrib (1.4.1+dfsg-5) unstable; urgency=medium

  * patches/parallel_workers: Fix parallel_workers test on machines with a lot
    of CPU sockets.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Aug 2023 21:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: starpu-contrib
 Priority: optional
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 	chrpath,
 	pkg-config,
 	libnuma-dev [linux-any],
@@ -19,7 +20,8 @@
 	libfxt-dev, pajeng,
 	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32],
 	python3-dev,
-	libpython3-dev, python3-joblib,
+	libpython3-dev, python3-setuptools,
+	python3-cloudpickle, python3-joblib, python3-numpy,
 	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
 	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
 	valgrind-if-available,
@@ -38,7 +40,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.4-2 (= ${binary:Version}) | libstarpu-contrib-any-1.4-2, libstarpu-contrib-openmp-llvm-1.4-1 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-contrib-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpu-contribfft-1.4-1 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.4-1, libstarpu-contribmpi-1.4-2 (= ${binary:Version}) | libstarpu-contrib-anympi-1.4-2, libsocl-contrib-1.4-1 (= ${binary:Version}) | libsocl-contrib-any-1.4-1, libstarpu-contribrm-1.4-1 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-contrib-1.4-4t64 (= ${binary:Version}) | libstarpu-contrib-any-1.4-4, libstarpu-contrib-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-contrib-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpu-contribfft-1.4-1t64 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.4-1, libstarpu-contribmpi-1.4-3t64 (= ${binary:Version}) | libstarpu-contrib-anympi-1.4-3, libsocl-contrib-1.4-1t64 (= ${binary:Version}) | libsocl-contrib-any-1.4-1, libstarpu-contribrm-1.4-1t64 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -53,12 +55,14 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.4-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.4-2
-Provides: libstarpu-any-1.4-2
+Package: libstarpu-contrib-1.4-4t64
+Replaces: libstarpu-contrib-1.4-4
+Breaks: libstarpu-contrib-1.4-4 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-1.4-4, libstarpu-1.4-4t64
+Provides: ${t64:Provides}, libstarpu-any-1.4-4
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -71,12 +75,14 @@
  This package contains the main StarPU library
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-openmp-llvm-1.4-1
+Package: libstarpu-contrib-openmp-llvm-1.4-1t64
+Replaces: libstarpu-contrib-openmp-llvm-1.4-1
+Breaks: libstarpu-contrib-openmp-llvm-1.4-1 (<< ${source:Version})
 Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-openmp-llvm-1.4-1
-Provides: libstarpu-any-openmp-llvm-1.4-1
+Conflicts: libstarpu-openmp-llvm-1.4-1, libstarpu-openmp-llvm-1.4-1t64
+Provides: ${t64:Provides}, libstarpu-any-openmp-llvm-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -89,12 +95,14 @@
  This package contains the runtime support for LLVM OpenMP.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribfft-1.4-1
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.4-1
-Provides: libstarpu-anyfft-1.4-1
+Package: libstarpu-contribfft-1.4-1t64
+Replaces: libstarpu-contribfft-1.4-1
+Breaks: libstarpu-contribfft-1.4-1 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpufft-1.4-1, libstarpufft-1.4-1t64
+Provides: ${t64:Provides}, libstarpu-anyfft-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -107,12 +115,14 @@
  This package contains a hybrid CPU+GPU FFT library.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribmpi-1.4-2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.4-2
-Provides: libstarpu-anympi-1.4-2
+Package: libstarpu-contribmpi-1.4-3t64
+Replaces: libstarpu-contribmpi-1.4-3
+Breaks: libstarpu-contribmpi-1.4-3 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpumpi-1.4-3, libstarpumpi-1.4-3t64
+Provides: ${t64:Provides}, libstarpu-anympi-1.4-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -150,6 +160,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libstarpu-contrib-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
+Replaces: libstarpu-contrib-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
 Conflicts: starpu-examples
 Provides: starpu-any-examples
 Description: Task scheduler for heterogeneous multicore machines - exs
@@ -164,12 +176,14 @@
  This package contains application examples.
  This "contrib" version is built against CUDA.
 
-Package: libsocl-contrib-1.4-1
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-1.4-1
-Provides: libsocl-any-1.4-1
+Package: libsocl-contrib-1.4-1t64
+Replaces: libsocl-contrib-1.4-1
+Breaks: libsocl-contrib-1.4-1 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsocl-1.4-1, libsocl-1.4-1t64
+Provides: ${t64:Provides}, libsocl-any-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -182,12 +196,14 @@
  This package contains an OpenCL-compatible library interface to StarPU.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contribrm-1.4-1
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpurm-1.4-1
-Provides: libstarpu-anyrm-1.4-1
+Package: libstarpu-contribrm-1.4-1t64
+Replaces: libstarpu-contribrm-1.4-1
+Breaks: libstarpu-contribrm-1.4-1 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpurm-1.4-1, libstarpurm-1.4-1t64
+Provides: ${t64:Provides}, libstarpu-anyrm-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
